Bug 662969 - Adding header files under epan/dissectors/*.h to wireshark-devel package
Summary: Adding header files under epan/dissectors/*.h to wireshark-devel package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 09:44 UTC by Masatake YAMATO
Modified: 2010-12-16 02:18 UTC (History)
3 users (show)

Fixed In Version: wireshark-1.4.2-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-15 14:31:32 UTC


Attachments (Terms of Use)

Description Masatake YAMATO 2010-12-14 09:44:16 UTC
Description of problem:

I'm writing a wireshark dissector plugin which uses tcp_dissect_pdus function. Howerver, it is declared in epan/dissectors/packet-tcp.h. The header file is not included in wireshark-devel package.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. rpm -ql wireshark-devel | grep packet-tcp.h.
2.
3.
  
Actual results:

packet-tcp.h is not appeared in the output.

Expected results:

packet-tcp.h (and other dissesctor headers) are included in the package.

Additional info:

Comment 1 Jan Safranek 2010-12-15 14:31:32 UTC
(In reply to comment #0)
> Expected results:
> packet-tcp.h (and other dissesctor headers) are included in the package.

All dissector headers are pretty big, but there is no way how to tell which is needed and which not... So enjoy your 5.5MB of new headers :).

Comment 2 Masatake YAMATO 2010-12-16 02:18:41 UTC
Thanks. The size is small thing if I can inspect unknown packets:)


Note You need to log in before you can comment on or make changes to this bug.